Imports Benday.Npr.Common.DomainModel
Imports Benday.Npr.Common.Repositories
Imports Benday.Npr.Common

Namespace Benday.Npr.Business
	Public Class FeedDomainService
		Implements IFeedDomainService

		Public Sub New(ByVal repository As IFeedRepository)
			If repository Is Nothing Then
				Throw New ArgumentNullException("repository", "repository is null.")
			End If

			m_RepositoryInstance = repository
		End Sub

		Private m_RepositoryInstance As IFeedRepository
		Private ReadOnly Property RepositoryInstance As IFeedRepository
			Get
				Return m_RepositoryInstance
			End Get
		End Property

        Public Sub GetAllPrograms(ByVal result As ReturnResult(Of IFeed)) Implements IFeedDomainService.GetAllPrograms
            RepositoryInstance.GetAllPrograms(result)
        End Sub
	End Class
End Namespace
