Imports Benday.Npr.Common.DomainModel

Namespace Benday.Npr.Business
	Public Class Story
		Implements IStory

		Public Sub New()
			Paragraphs = New List(Of IParagraph)
		End Sub

        Public Property Id As String Implements IStory.Id

        Public Property UrlToHtml As String Implements IStory.UrlToHtml

        Public Property UrlToApi As String Implements IStory.UrlToApi

        Public Property UrlShort As String Implements IStory.UrlShort

        Public Property Title As String Implements IStory.Title

        Public Property Teaser As String Implements IStory.Teaser

        Public Property TeaserMini As String Implements IStory.TeaserMini

        Public Property Slug As String Implements IStory.Slug

        Public Property StoryDate As Date Implements IStory.StoryDate

        Public Property PublishDate As Date Implements IStory.PublishDate

        Public Property ShowName As String Implements IStory.ShowName

        Public Property ShowDate As Date Implements IStory.ShowDate

        Public Property OrganizationName As String Implements IStory.OrganizationName

        Public Property OrganizationAbbreviation As String Implements IStory.OrganizationAbbreviation

        Public Property OrganizationUrl As String Implements IStory.OrganizationUrl

        Public Property Duration As Integer Implements IStory.Duration

        Public Property UrlToMp3 As String Implements IStory.UrlToMp3

        Public Property UrlToWindowsMedia As String Implements IStory.UrlToWindowsMedia

        Public Property Paragraphs As IList(Of IParagraph) Implements IStory.Paragraphs

        Public Property Author As String Implements IStory.Author
	End Class
End Namespace
