Namespace Benday.Npr.Common.Repositories
	Public Interface IRepository(Of T As IObjectIdentity)
		Sub GetAll(ByVal result As ReturnResult(Of IList(Of T)))
		Sub GetById(ByVal id As Integer, ByVal result As ReturnResult(Of T))
		Sub Save(ByVal saveThis As T, ByVal result As ReturnResult(Of T))
		Sub Delete(ByVal deleteThis As T, ByVal result As ReturnResult(Of T))
	End Interface
End Namespace
