Namespace Benday.Npr.Factories
	Public Class ObjectFactoryConfiguration
		Public Sub New()
			m_instances = New Dictionary(Of Type, Object)
			m_typeMappings = New Dictionary(Of Type, Type)
		End Sub

		Private m_typeMappings As Dictionary(Of Type, Type)
		Public ReadOnly Property TypeMappings As Dictionary(Of Type, Type)
			Get
				Return m_typeMappings
			End Get
		End Property

		Private m_instances As Dictionary(Of Type, Object)
		Public ReadOnly Property Instances As Dictionary(Of Type, Object)
			Get
				Return m_instances
			End Get
		End Property
	End Class
End Namespace
