Imports Microsoft.VisualStudio.TestTools.UnitTesting
Imports Benday.Npr.Common.Repositories
Imports Benday.Npr.Common.DomainModel
Imports Benday.Npr.DataAccess
Imports Microsoft.Silverlight.Testing
Imports Benday.Npr.Common

Namespace Benday.Npr.Silverlight.UnitTests.DataAccess
	<TestClass, Tag("xml")>
	Public Class XmlUtilityFixture
		Inherits UnitTestBase

		<TestMethod>
		Public Sub XmlUtility_GetChildElementValueByElementNameAndAttributeId()
			Dim xml As String = TestDataUtility.XmlWithSimilarChildElementsWithDifferentAttributes

			' <link type="html">http://www.npr.org/2010/11/10/131216486/in-israel-when-is-a-jew-not-jewish-enough?ft=3&amp;f=2</link>

			Dim expected As String = "http://www.npr.org/2010/11/10/131216486/in-israel-when-is-a-jew-not-jewish-enough?ft=3&f=2"

			Dim root = XmlUtility.StringToXDocument(xml)

			Dim actual = XmlUtility.GetChildElementValue(root.Root, "link", "type", "html", String.Empty)

			Assert.AreEqual(Of String)(expected, actual, "Value was wrong.")
		End Sub
	End Class
End Namespace
