Imports GalaSoft.MvvmLight
Imports Benday.Npr.Common

Namespace Benday.Npr.Presentation
	Public MustInherit Class IdentityViewModel
		Inherits NetworkAvailabilityViewModel

		Public Sub New()
			Id = New ObjectIdentity
		End Sub

		Private Const IdPropertyName As String = "Id"

		Private m_Id As IObjectIdentity
		Public Property Id As IObjectIdentity
			Get
				Return m_Id
			End Get
			Set(ByVal value As IObjectIdentity)
				m_Id = value
				RaisePropertyChanged(IdPropertyName)
			End Set
		End Property
	End Class
End Namespace
