Imports System.Windows.Input
Imports System.Collections.ObjectModel

Namespace Benday.Npr.Presentation.Interfaces
	Public Interface IAllProgramsViewModel
		Inherits IViewModelBase

		Sub Load()
		Property Title As String

		Property Programs As ObservableCollection(Of IProgramViewModel)

		Property SelectedItem As IProgramViewModel
		Event OnSelectionChanged As EventHandler

		ReadOnly Property MediaPlayback As IMediaPlaybackViewModel
	End Interface
End Namespace
