Imports System.Net
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Documents
Imports System.Windows.Ink
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Animation
Imports System.Windows.Shapes
Imports Benday.Npr.Phone.Common.Models

Namespace Benday.Npr.Phone.Common.Repositories
	Public Interface IProgramRepository
		Sub GetAll(ByVal action As ReturnResult(Of IList(Of IProgramInfo)))
        Sub GetById(ByVal action As ReturnResult(Of IProgramInfo), ByVal id As String)
        Function GetById(ByVal id As String) As IProgramInfo
		Sub SaveCurrentProgramId(ByVal currentProgramId As String)
		Function GetCurrentProgramId() As String
	End Interface
End Namespace
