Imports Benday.Npr.Phone.Common.Models

Namespace Benday.Npr.Phone.Common.Repositories
	Public Interface IStoryRepository
		Event StoryListRefreshed As EventHandler(Of StoryListRefreshedEventArgs)

		Function GetStories(ByVal programId As String) As IStoryList
		Sub RefreshStories(ByVal programId As String)
		Function GetStory(ByVal programId As String, ByVal storyId As String) As IStory
		Sub SaveCurrentStoryId(ByVal storyId As String)
		Function GetCurrentStoryId() As String
		Sub ResolveMp3UrlFromM3u(ByVal action As ReturnResult(Of String), ByVal m3uUri As String)
	End Interface
End Namespace
