Imports Benday.Npr.Phone.Presentation.Interfaces
Imports GalaSoft.MvvmLight

Namespace Benday.Npr.Phone.Presentation
	Public Class ParagraphViewModel
		Inherits ViewModelBase
		Implements IParagraphViewModel

		Public Sub New()
		End Sub

		Private Const TextPropertyName As String = "Text"

		Private m_Text As String
		Public Property Text As String Implements IParagraphViewModel.Text
			Get
				Return m_Text
			End Get
			Set(ByVal value As String)
				m_Text = value
				RaisePropertyChanged(TextPropertyName)
			End Set
		End Property
	End Class
End Namespace
