Namespace Benday.Npr.Phone.Presentation
	Public Class StorySelectableItem
		Inherits SelectableItem

		Public Sub New(ByVal isSelected As Boolean, ByVal id As String, ByVal text As String, ByVal value As String, ByVal description As String, ByVal hasAudio As Boolean, ByVal publishDate As Date)
			MyBase.New(isSelected, id, text, value, description)
			m_HasAudio = hasAudio
			m_PublishDate = publishDate
		End Sub

		Private Const HasAudioPropertyName As String = "HasAudio"

		Private m_HasAudio As Boolean
		Public Property HasAudio As Boolean
			Get
				Return m_HasAudio
			End Get
			Set(ByVal value As Boolean)
				m_HasAudio = value
				RaisePropertyChanged(HasAudioPropertyName)
			End Set
		End Property

		Private Const PublishDatePropertyName As String = "PublishDate"

		Private m_PublishDate As Date
		Public Property PublishDate As Date
			Get
				Return m_PublishDate
			End Get
			Set(ByVal value As Date)
				m_PublishDate = value
				RaisePropertyChanged(PublishDatePropertyName)
			End Set
		End Property
	End Class
End Namespace
