Imports System.Text
Imports Benday.Npr.Phone.UnitTests

Namespace Benday.Npr.Phone.UnitTests.DataAccess
	Public NotInheritable Class TestDataUtility
		Private Sub New()
		End Sub

		Public Shared Function AllPrograms() As String
			Return UnitTestResources.NprAllPrograms
		End Function

		Public Shared Function IndividualFeedItem() As String
			Return UnitTestResources.IndividualFeedItem
		End Function

		Public Shared Function IndividualStory() As String
			Return UnitTestResources.IndividualStory
		End Function

		Public Shared Function AllThingsConsideredStories() As String
			Return UnitTestResources.AllThingsConsideredStories
		End Function

		Public Shared Function TellMeMoreStories() As String
			Return UnitTestResources.TellMeMoreStories
		End Function

		Public Shared Function RssFeedForHourlyNews() As String
			Return UnitTestResources.HourlyNewsFeedRss
		End Function

		Public Shared Function RssFeedForItsAllPolitics() As String
			Return UnitTestResources.ItsAllPoliticsFeedRss
		End Function

		Public Shared Function XmlWithSimilarChildElementsWithDifferentAttributes() As String
			Dim builder As New StringBuilder

			builder.AppendLine("<story id=""131216486"">")
			builder.AppendLine("<link type=""html"">http://www.npr.org/2010/11/10/131216486/in-israel-when-is-a-jew-not-jewish-enough?ft=3&amp;f=2</link>")
			builder.AppendLine("<link type=""api"">http://api.npr.org/query?id=131216486&amp;apiKey=MDA2MzU3ODU0MDEyODg2MTQyOTk1OWQ4NQ001</link>")
			builder.AppendLine("<link type=""short"">http://n.pr/9k87A3</link>")
			builder.AppendLine("</story>")

			Return builder.ToString
		End Function
	End Class
End Namespace
