Imports Benday.Npr.Phone.Presentation.Interfaces

Namespace Benday.Npr.Phone.UnitTests.Presentation
	Public Class ProgramsViewModelEventTester
		Public Sub New(ByVal instance As IProgramsViewModel)
			If instance Is Nothing Then
				Throw New ArgumentNullException("instance", "instance is null.")
			End If

			m_Instance = instance

			AddHandler m_Instance.Programs.OnItemSelected, AddressOf Programs_OnItemSelected
		End Sub

		Private Sub Programs_OnItemSelected(ByVal sender As Object, ByVal e As EventArgs)
			GotSelectedEvent = True
		End Sub

		Private m_Instance As IProgramsViewModel
		Public ReadOnly Property Instance As IProgramsViewModel
			Get
				Return m_Instance
			End Get
		End Property

		Public Property GotSelectedEvent As Boolean
	End Class
End Namespace
