Imports Benday.Npr.Common.Repositories
Imports Benday.Npr.Common.DomainModel
Imports Benday.Npr.Common
Imports System.Text

Namespace Benday.Npr.DataAccess
	Public NotInheritable Class DataAccessUtility
		Private Sub New()
		End Sub

		Public Shared Function ReplaceUndisplayableHtml(ByVal original As String) As String
			If original Is Nothing Then
				Return Nothing
			Else
				Dim builder As New StringBuilder(original)

				builder.Replace("&lt;em&gt;", String.Empty)
				builder.Replace("&lt;/em&gt;", String.Empty)
				builder.Replace("<em>", String.Empty)
				builder.Replace("</em>", String.Empty)
				builder.Replace("&lt;strong&gt;", String.Empty)
				builder.Replace("&lt;/strong&gt;", String.Empty)
				builder.Replace("<strong>", String.Empty)
				builder.Replace("</strong>", String.Empty)
				builder.Replace("</p>", String.Empty)
				builder.Replace("<p>", String.Empty)

				Return builder.ToString
			End If
		End Function
	End Class
End Namespace
