Imports System.Windows.Input
Imports System.Collections.ObjectModel

Namespace Benday.Npr.Presentation.Interfaces
	Public Interface IStoryListViewModel
		Inherits IViewModelBase, IProgressBarViewModel

		Property Id As String

		Sub Load(ByVal programId As String)
		Property Title As String

		Property UrlToHtml As String

		ReadOnly Property Stories As ObservableCollection(Of IStoryViewModel)

		Property SelectedItem As IStoryViewModel
		Event OnSelectionChanged As EventHandler
	End Interface
End Namespace
