Imports GalaSoft.MvvmLight

Namespace Benday.Npr.Presentation
	Public MustInherit Class NetworkAvailabilityViewModel
		Inherits ViewModelBase

		Private Const IsNetworkAvailablePropertyName As String = "IsNetworkAvailable"

		Private m_IsNetworkAvailable As Boolean
		Public Property IsNetworkAvailable As Boolean
			Get
				Return m_IsNetworkAvailable
			End Get
			Set(ByVal value As Boolean)
				m_IsNetworkAvailable = value
				RaisePropertyChanged(IsNetworkAvailablePropertyName)
			End Set
		End Property
	End Class
End Namespace
