Imports GalaSoft.MvvmLight
Imports System.Windows.Input
Imports System.Collections.ObjectModel
Imports Benday.Npr.Common
Imports Benday.Npr.Presentation.Interfaces
Imports Benday.Npr.Common.DomainModel

Namespace Benday.Npr.Presentation
	Public Class ParagraphViewModel
		Inherits ViewModelBase
		Implements IParagraphViewModel

		Public Sub New()
		End Sub

		Private Const TextPropertyName As String = "Text"

		Private m_Text As String
		Public Property Text As String Implements IParagraphViewModel.Text
			Get
				Return m_Text
			End Get
			Set(ByVal value As String)
				m_Text = value
				RaisePropertyChanged(TextPropertyName)
			End Set
		End Property
	End Class
End Namespace
