Namespace Benday.Npr.Phone.Common.Repositories
	Public Class StoryListRefreshedEventArgs
		Inherits EventArgs

		Public Sub New(ByVal programId As String)
			If String.IsNullOrEmpty(programId) Then
				Throw New ArgumentException("programId is null or empty.", "programId")
			End If

			m_ProgramId = programId
		End Sub

		Private m_ProgramId As String
		Public ReadOnly Property ProgramId As String
			Get
				Return m_ProgramId
			End Get
		End Property
	End Class
End Namespace
