Imports Benday.Npr.Phone.Common

Namespace Benday.Npr.Phone.DataAccess
	Public MustInherit Class AdapterBase
		Public Sub New(ByVal factory As IObjectFactory)
			If factory Is Nothing Then
				Throw New ArgumentNullException("factory", "factory is null.")
			End If

			m_ObjectFactoryInstance = factory
		End Sub

		Private m_ObjectFactoryInstance As IObjectFactory
		Public ReadOnly Property ObjectFactoryInstance As IObjectFactory
			Get
				Return m_ObjectFactoryInstance
			End Get
		End Property

		Public Function StringToXDocument(ByVal fromValue As String) As XDocument
			Return XmlUtility.StringToXDocument(fromValue)
		End Function
	End Class
End Namespace
