Imports Benday.Npr.Phone.Common.Models
Imports System.Collections.ObjectModel

Namespace Benday.Npr.Phone.Presentation.Interfaces
	Public Interface IStoryViewModel
		Inherits IViewModelBase, INetworkAvailabilityViewModel

		Sub Load()
        Property CurrentProgramId As String

		Property Id As String

		Property UrlToHtml As String

		Property UrlToApi As String

		Property UrlShort As String

		Property Title As String

		Property Teaser As String

		Property TeaserMini As String

		Property Slug As String

		Property StoryDate As Date

		Property PublishDate As Date

		Property ShowName As String

		Property ShowDate As Date

		Property OrganizationName As String

		Property OrganizationAbbreviation As String

		Property OrganizationUrl As String

		Property Duration As Integer

		Property HasUrlToMp3 As Boolean

		Property UrlToMp3 As String

		Property HasUrlToWindowsMedia As Boolean

		Property UrlToWindowsMedia As String

		Property Paragraphs As ObservableCollection(Of IParagraphViewModel)

		Property Author As String

		Sub PlayMp3()
		Property HasResolvedUrlToMp3 As Boolean

		Property ResolvedUrlToMp3 As String

		Event OnReadyToPlayMp3 As EventHandler

		ReadOnly Property AudioTrackLocatorTag As String
	End Interface
End Namespace
