Imports GalaSoft.MvvmLight
Imports Benday.Npr.Phone.Presentation.Interfaces

Namespace Benday.Npr.Phone.Presentation
	Public MustInherit Class NetworkAvailabilityViewModel
		Inherits MessageBoxViewModelBase
		Implements INetworkAvailabilityViewModel

		Private Const IsNetworkAvailablePropertyName As String = "IsNetworkAvailable"

		Private m_IsNetworkAvailable As Boolean
		Public Property IsNetworkAvailable As Boolean Implements INetworkAvailabilityViewModel.IsNetworkAvailable
			Get
				Return m_IsNetworkAvailable
			End Get
			Set(ByVal value As Boolean)
				m_IsNetworkAvailable = value
				RaisePropertyChanged(IsNetworkAvailablePropertyName)
			End Set
		End Property
	End Class
End Namespace
