Imports Microsoft.VisualStudio.TestTools.UnitTesting
Imports Benday.Npr.Phone.Presentation

Namespace Benday.Npr.Phone.UnitTests.DataAccess
	<TestClass>
	Public Class ViewModelLocatorFixture
		Inherits UnitTestBase

		Protected Overrides Sub OnTestInitialize()
			ViewModelLocator.DestroyInstance()
			ViewModelLocator.CreateInstance(ObjectFactoryInstance)
		End Sub

		<TestMethod>
		Public Sub InitializeViewModelLocator()
			Assert.IsNotNull(ViewModelLocator.Instance, "Instance property is null.")
		End Sub

		<TestMethod>
		Public Sub ProgramsViewModelIsNotNull()
			Assert.IsNotNull(ViewModelLocator.Instance.Programs, "Programs property is null.")
		End Sub

		<TestMethod>
		Public Sub StoryListViewModelIsNotNull()
			Assert.IsNotNull(ViewModelLocator.Instance.StoryList, "StoryList property is null.")
		End Sub

		<TestMethod>
		Public Sub StoryViewModelIsNotNull()
			Assert.IsNotNull(ViewModelLocator.Instance.Story, "Story property is null.")
		End Sub
	End Class
End Namespace
