Imports Benday.Npr.Phone.Presentation.Interfaces

Namespace Benday.Npr.Phone.UnitTests.Presentation
	Public Class StoryListViewModelEventTester
		Public Sub New(ByVal instance As IStoryListViewModel)
			If instance Is Nothing Then
				Throw New ArgumentNullException("instance", "instance is null.")
			End If

			m_Instance = instance

			AddHandler m_Instance.Stories.OnItemSelected, AddressOf Stories_OnItemSelected
		End Sub

		Private Sub Stories_OnItemSelected(ByVal sender As Object, ByVal e As EventArgs)
			GotSelectedEvent = True
		End Sub

		Private m_Instance As IStoryListViewModel
		Public ReadOnly Property Instance As IStoryListViewModel
			Get
				Return m_Instance
			End Get
		End Property

		Public Property GotSelectedEvent As Boolean
	End Class
End Namespace
